<?php

/**
 * Created by KrzysztofZ on 2015-04-23
 */
require_once(dirname(_PS_MODULE_DIR_).'/modules/przelewy24/class_przelewy24.php');

class Przelewy24MyStoredCardsModuleFrontController extends ModuleFrontController {
	public $auth = true;
	public $ssl = true;

	public function init()
	{
		$this->page_name = 'mystoredcards';
		$this->display_column_left = false; 
		$this->display_column_right = false;
		parent::init();
	}

    public function initContent() {
        parent::initContent();
		$smarty = $this->context->smarty;

		// zapis formularza
		if (Tools::isSubmit('submit')) {
			Db::getInstance()->Execute("REPLACE INTO "._DB_PREFIX_."przelewy24_customersettings (`customer_id`, `cc_forget`) ".
				   "VALUES (".Context::getContext()->customer->id.", '".((int)Tools::getValue('ccards_forget') ? '1' : '0')."')");
			// ewentualne usunięcie zapisanych kart
			if ((int)Tools::getValue('ccards_forget')) {
				Db::getInstance()->ExecuteS(
					' DELETE FROM '._DB_PREFIX_.'p24_recuring '.
					' WHERE customer_id='.Context::getContext()->customer->id
				);
			}
		}

		// odczyt ustawień
		$ccards_forget = Db::getInstance()->getRow(
				' SELECT cc_forget '.
				' FROM '._DB_PREFIX_.'przelewy24_customersettings '.
				' WHERE customer_id='.Context::getContext()->customer->id
				);
		$smarty->assign('ccards_forget', $ccards_forget['cc_forget'] == 1);

		
		if (Configuration::get('P24_ONECLICK_ENABLED')==1) {

            $ccards = Db::getInstance()->ExecuteS(
				' SELECT id, mask, card_type, expires '.
				' FROM '._DB_PREFIX_.'p24_recuring '.
				' WHERE customer_id='.Context::getContext()->customer->id.
				' AND expires >= ' . date("ym")
				);
			$smarty->assign('ccards', $ccards);
			
			$this->setTemplate('myStoredCardsList.tpl');
		}
    }
}
